Loading...
Searching...
No Matches
Dune::HasNaN< T > Struct Template Reference
Common » Utilities » C++ utilities and backports

Whether this type has a value of NaN. More...

`#include <dune/common/typetraits.hh>`

Inheritance diagram for Dune::HasNaN< T >:

## Detailed Description

template<typename T>
struct Dune::HasNaN< T >

Whether this type has a value of NaN.

Internally, this is just a forward to std::is_floating_point<T>.

The documentation for this struct was generated from the following file:

- typetraits.hh